//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

using System.Xml.Serialization;

// 
// This source code was auto-generated by xsd, Version=4.6.1055.0.
// 


/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.belastingdienst.nl/IitBlazeBOM")]
[System.Xml.Serialization.XmlRootAttribute("rsiitMsg", Namespace="http://www.belastingdienst.nl/IitBlazeBOM", IsNullable=false)]
public partial class Message {
    
    private Request requestField;
    
    private Response responseField;
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public Request request {
        get {
            return this.requestField;
        }
        set {
            this.requestField = value;
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public Response response {
        get {
            return this.responseField;
        }
        set {
            this.responseField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.belastingdienst.nl/IitBlazeBOM")]
public partial class Request {
    
    private Invoer__aanvraag__iit invoerField;
    
    private short belastingjaarField;
    
    private string berichtIdField;
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public Invoer__aanvraag__iit invoer {
        get {
            return this.invoerField;
        }
        set {
            this.invoerField = value;
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public short belastingjaar {
        get {
            return this.belastingjaarField;
        }
        set {
            this.belastingjaarField = value;
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string berichtId {
        get {
            return this.berichtIdField;
        }
        set {
            this.berichtIdField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.belastingdienst.nl/IitBlazeBOM")]
public partial class Invoer__aanvraag__iit {
    
    private string woonplaatsField;
    
    private bool aowLeeftijdBehaaldField;
    
    private bool ouderDan21Field;
    
    private bool alleenstaandField;
    
    private bool thuiswonendeKinderenField;
    
    private decimal inkomenPerMaandField;
    
    private decimal vermogenField;
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public string woonplaats {
        get {
            return this.woonplaatsField;
        }
        set {
            this.woonplaatsField = value;
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public bool aowLeeftijdBehaald {
        get {
            return this.aowLeeftijdBehaaldField;
        }
        set {
            this.aowLeeftijdBehaaldField = value;
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public bool ouderDan21 {
        get {
            return this.ouderDan21Field;
        }
        set {
            this.ouderDan21Field = value;
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public bool alleenstaand {
        get {
            return this.alleenstaandField;
        }
        set {
            this.alleenstaandField = value;
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public bool thuiswonendeKinderen {
        get {
            return this.thuiswonendeKinderenField;
        }
        set {
            this.thuiswonendeKinderenField = value;
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public decimal inkomenPerMaand {
        get {
            return this.inkomenPerMaandField;
        }
        set {
            this.inkomenPerMaandField = value;
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public decimal vermogen {
        get {
            return this.vermogenField;
        }
        set {
            this.vermogenField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.belastingdienst.nl/IitBlazeBOM")]
public partial class Uitvoer__besluit__iit {
    
    private string rechtBeschrijvingField;
    
    private decimal uitTeKerenToeslagBedragField;
    
    private bool uitTeKerenToeslagBedragFieldSpecified;
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public string rechtBeschrijving {
        get {
            return this.rechtBeschrijvingField;
        }
        set {
            this.rechtBeschrijvingField = value;
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public decimal uitTeKerenToeslagBedrag {
        get {
            return this.uitTeKerenToeslagBedragField;
        }
        set {
            this.uitTeKerenToeslagBedragField = value;
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlIgnoreAttribute()]
    public bool uitTeKerenToeslagBedragSpecified {
        get {
            return this.uitTeKerenToeslagBedragFieldSpecified;
        }
        set {
            this.uitTeKerenToeslagBedragFieldSpecified = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.belastingdienst.nl/IitBlazeBOM")]
public partial class ServiceResultaat {
    
    private string resultaatcodeField;
    
    private string resultaatmeldingField;
    
    private string rulesversieField;
    
    private string serviceversieField;
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public string resultaatcode {
        get {
            return this.resultaatcodeField;
        }
        set {
            this.resultaatcodeField = value;
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public string resultaatmelding {
        get {
            return this.resultaatmeldingField;
        }
        set {
            this.resultaatmeldingField = value;
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public string rulesversie {
        get {
            return this.rulesversieField;
        }
        set {
            this.rulesversieField = value;
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public string serviceversie {
        get {
            return this.serviceversieField;
        }
        set {
            this.serviceversieField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.belastingdienst.nl/IitBlazeBOM")]
public partial class Response {
    
    private ServiceResultaat serviceResultaatField;
    
    private Uitvoer__besluit__iit besluitField;
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public ServiceResultaat serviceResultaat {
        get {
            return this.serviceResultaatField;
        }
        set {
            this.serviceResultaatField = value;
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public Uitvoer__besluit__iit besluit {
        get {
            return this.besluitField;
        }
        set {
            this.besluitField = value;
        }
    }
}
